* E Posta Adresiniz:
* Kodu Girin:

entmake fonksiyonu-1

entmake ile LINE cizmek
shark - 18.10.2005 12:26
Yazar: Derya KILIÇ
İçerik:

(Kontrol panelinizde görünür)
;entmake ile line cizen fonksiyon..
(defun line_ciz (_bas _son _layer)
(entmake (list (cons 0 "LINE")
(cons 8 _layer)
(cons 10 _bas)
(cons 11 _son)))
)
Kullanımı :
(setq p1 (list 10.0 20.0 0.0)
p2 (list 30.0 40.0 0.0)
)
(line_ciz p1 p2 "deneme")

Yukaridaki kod, line_ciz() fonksiyonunu kullanarak (10,20,0) noktasindan (30,40,0) noktasina 'deneme' isimli layer'de bir çizgi çizer. Eger çizimde 'deneme' isimli bir layer yoksa otomatik olarak oluşturulur. Bu fonksiyon asagidaki kodla ayni isi yapar.
(command "LAYER" "M" "deneme" "")
(command "LINE" p1 p2 "")
Goruldugu gibi entmake fonksiyonunu kullanan line_ciz fonksiyonu cok daha kullanisli. Ayni zamanda entmake ile cizim yaparken layer degistirmeye gerek kalmiyor. Yani mesela "0" layer'indayken "deneme" layer'ina bir cizgi ekleyebiliyoruz. Cizgi cizmek icin "deneme" layer'ina gecip cizgiyi cizip tekrar "0" layer'ina donmemize gerek kalmiyor ve (command) fonksiyonundan daha hizli calisan bir kod elde etmis oluyoruz. Entmake ile yapilabilecekler line cizmekten ibaret degil elbette, bu fonksiyonla autocad'deki herhangi bir objeyi olusturabiliriz (layer, block, text, point , polyline vs.). Devam edecegiz.
Yorumlar :
talacakoc   07.10.2012 01:34 #14801  

dediğiniz gibi yaptım kodu oluşturdum yükledim de fakat çizim ekranında ne görmem lazımsa görünmüyor. nerede hatam olabilir.
birde line_ciz satırını ekleyince yüklemede hata veriyor . onu çıkartınca başarılı yükleme yapıyor. ama sonuçta yine ekranımda hiçbir şey göremiyorum. Nedenini bilen varsa paylaşabilirse çok sevinirim. LISPi anlamak istiyorum. Bunun için öğrenmem lazım.

Copyright © 2004-2018 | Tüm Hakları Saklıdır | 1075 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam